{
"error": {
"code": "INVALID_REQUEST",
"message": "The request was invalid.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#bad-request",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "No valid API key provided.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unauthorized",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "FORBIDDEN",
"message": "The API key doesn’t have permissions to perform the request.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#forbidden",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "The requested resource was not found.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#not-found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "IDEMPOTENCY_REQUEST_IN_PROGRESS",
"message": "A request with the same Idempotency-Key is still being processed. Retry once it has completed.",
"documentationUrl": "https://developer.folk.app/api-reference/idempotency#errors",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "UNPROCESSABLE_ENTITY",
"message": "Invalid query parameters",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unprocessable-entity",
"details": {
"issues": [
{
"code": "too_small",
"minimum": 1,
"type": "number",
"inclusive": true,
"exact": false,
"message": "Number must be greater than or equal to 1",
"path": [
"limit"
]
}
]
},
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is currently unavailable.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#service-unavailable",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "INVALID_REQUEST",
"message": "The request was invalid.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#bad-request",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "No valid API key provided.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unauthorized",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "FORBIDDEN",
"message": "The API key doesn’t have permissions to perform the request.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#forbidden",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "The requested resource was not found.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#not-found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "IDEMPOTENCY_REQUEST_IN_PROGRESS",
"message": "A request with the same Idempotency-Key is still being processed. Retry once it has completed.",
"documentationUrl": "https://developer.folk.app/api-reference/idempotency#errors",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "UNPROCESSABLE_ENTITY",
"message": "Invalid query parameters",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unprocessable-entity",
"details": {
"issues": [
{
"code": "too_small",
"minimum": 1,
"type": "number",
"inclusive": true,
"exact": false,
"message": "Number must be greater than or equal to 1",
"path": [
"limit"
]
}
]
},
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is currently unavailable.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#service-unavailable",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}
Update an existing company in the workspace, updating only the provided fields and leaving the rest of the company’s data unchanged.
Fields with a list of values (groups, addresses, emails, phones,
urls) will replace the old values. This means that you must provide the
entire list of values for that field, not just the values you want to add.
Company names are unique across the workspace. If you try to update a company
with another company’s name, the request will fail.
When removing a company from a group, their custom field values for that group
are also removed.
A unique key, such as a UUID, that makes retrying this request safe: a retry with the same key and body returns the original response without running the operation again. Keys are kept for 24 hours after the request completes.
The group ids passed must also be provided in the groups field, otherwise a validation error will be thrown.
The format of the custom field value depends on the type of the custom field:
textField: string, eg: "Foo"
numericField: number or numeric string, eg: 42 or "42"
dateField: ISO 8601 string (YYYY-MM-DD), eg: "2021-01-01"
singleSelect: string (option label), eg: "Active". Use the exact option labels of the custom field (case-sensitive): an unknown label creates a new option.
multipleSelect: array of strings (option labels), eg: ["B2B", "B2C"]. Use the exact option labels of the custom field (case-sensitive): an unknown label creates a new option.
contactField: array of objects with id property, eg: [{"id": "per_20228901-ce2b-418c-a267-671823107d8c"}]
userField: array of objects with either id (workspace user id) or email (workspace user email) property, eg: [{"id": "usr_a23373bb-5296-4c59-b2e8-8f121707d562"}, {"email": "jane@example.com"}]
objectField: array of objects with id property, eg: [{"id": "obj_2f62707c-52c0-421a-a11f-68e1ce9610f4"}]
Passing a null value or an empty array will unset the custom field value.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Folk Developer Portal","description":"Developer portal and API reference of folk","colors":{"primary":"#000000","light":"#ffffff","dark":"#222222"},"logo":{"light":"https://mintcdn.com/folk-cf968f5e/I7wFhRmtMuOvy2tG/assets/logo-light.svg?fit=max\u0026auto=format\u0026n=I7wFhRmtMuOvy2tG\u0026q=85\u0026s=08eda1dcbb1eefceac8ca5fea9c103d8","dark":"https://mintcdn.com/folk-cf968f5e/I7wFhRmtMuOvy2tG/assets/logo-dark.svg?fit=max\u0026auto=format\u0026n=I7wFhRmtMuOvy2tG\u0026q=85\u0026s=f7a85c0692d36cf4ae95ba0cb3a13827"},"favicon":{"light":"https://mintcdn.com/folk-cf968f5e/HcSGFJR-HRVkFe3E/assets/favicon-light.svg?fit=max\u0026auto=format\u0026n=HcSGFJR-HRVkFe3E\u0026q=85\u0026s=f507f5945e391292cf6679ecee54f2a0","dark":"https://mintcdn.com/folk-cf968f5e/HcSGFJR-HRVkFe3E/assets/favicon-dark.svg?fit=max\u0026auto=format\u0026n=HcSGFJR-HRVkFe3E\u0026q=85\u0026s=26f07b15afad6f7a4467054d25a0f955"},"api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["curl","javascript","python","ruby","go","php"]}},"navbar":{"links":[{"href":"intercom://show","label":"Chat with support"},{"href":"https://www.folk.app/contact-sales","label":"Get a demo"}],"primary":{"type":"button","label":"Open app","href":"https://app.folk.app"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/folkhq","x":"https://twitter.com/folkhq","youtube":"https://www.youtube.com/channel/UCs3bswOUZvkouum7Rdx4i5w"}},"integrations":{"intercom":{"appId":"rn8e78eq"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"folk-cf968f5e","hasAudioNarration":false,"actualSubdomain":"folk-cf968f5e","customDomains":["developer.folk.app"],"gitSource":{"type":"github","owner":"folkapp-mintlify-prod","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6aec9b5622f813687c154934","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"API Reference","count":102},{"language":"default","tag":"Available endpoints","count":91},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Campaigns","count":15},{"language":"default","tag":"Introduction","count":11},{"language":"default","tag":"Core concepts","count":10},{"language":"default","tag":"Webhooks","count":9},{"language":"default","tag":"Companies","count":8},{"language":"default","tag":"Custom objects","count":8},{"language":"default","tag":"People","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"/* vietnamese */\n@font-face {\n font-family: 'Bricolage Grotesque';\n font-style: normal;\n font-weight: 200 800;\n font-stretch: 100%;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/bricolagegrotesque/v9/3y9K6as8bTXq_nANBjzKo3IeZx8z6up5BeSl9D4dj_x9PpZBMlGHInHEVA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Bricolage Grotesque';\n font-style: normal;\n font-weight: 200 800;\n font-stretch: 100%;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/bricolagegrotesque/v9/3y9K6as8bTXq_nANBjzKo3IeZx8z6up5BeSl9D4dj_x9PpZBMlGGInHEVA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Bricolage Grotesque';\n font-style: normal;\n font-weight: 200 800;\n font-stretch: 100%;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/bricolagegrotesque/v9/3y9K6as8bTXq_nANBjzKo3IeZx8z6up5BeSl9D4dj_x9PpZBMlGIInE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n:root{--font-family-headings-custom: 'Bricolage Grotesque', sans-serif}h1,h2,h3,h4,h5,h6{font-optical-sizing:auto;font-weight:600;font-style:normal;font-variation-settings:'wdth' 100}.dark{--background-dark: 25 25 25}.dark #topbar-cta-button>a>span,#home-cta-button{border:1px solid rgb(var(--gray-800))}.prose :where(a):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){border-color:rgb(var(--primary-dark))}.dark .prose :where(a):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){border-color:rgb(var(--primary-light))}.nav-tag-pill-text{font-weight:500!important;text-shadow:none;color:#ffffff!important;background-color:#2563eb!important}.dark .nav-tag-pill-text{background-color:#3b82f6!important}"}],"page":{"pagePath":"api-reference/companies/update-a-company","slug":"/api-reference/companies/update-a-company","pageMetadata":{"openapi":"patch /v1/companies/{companyId}","title":"Update a company","description":"Update an existing company in the workspace.","href":"/api-reference/companies/update-a-company"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update an existing company in the workspace.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Danger,Warning}=_components;if(!Danger)_missingMdxReference(`Danger`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Update an existing company in the workspace, updating only the provided fields and leaving the rest of the company’s data unchanged.`}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Fields with a list of values (`,_jsx(_components.code,{children:`groups`}),`, `,_jsx(_components.code,{children:`addresses`}),`, `,_jsx(_components.code,{children:`emails`}),`, `,_jsx(_components.code,{children:`phones`}),`,\n`,_jsx(_components.code,{children:`urls`}),`) will `,_jsx(_components.strong,{children:`replace the old values`}),`. This means that you must provide the\nentire list of values for that field, not just the values you want to add.`]})}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Company names are unique across the workspace. If you try to update a company\nwith another company’s name, the request will fail.`})}),`\n`,_jsx(Danger,{children:_jsx(_components.p,{children:`When removing a company from a group, their custom field values for that group\nare also removed.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"patch /v1/companies/{companyId}","title":"Update a company","description":"Update an existing company in the workspace.","href":"/api-reference/companies/update-a-company"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/folk-cf968f5e/c239747596c4df94/intercom.js"],"openApiReferenceData":{"operation":{"security":["4356fb9d-f413-4a61-961d-4eef5809cc1f"],"operationId":"updateCompany","summary":"Update a company","description":"Update an existing company in the workspace.","tags":["Companies"],"parameters":["f4387ee9-9b85-4e52-af5f-97e0ebb90cb4","a3573cac-6354-47b8-b12f-70c22fac4075"],"requestBody":"c0e9af0c-0045-4126-99a5-b6de8cda42e0","responses":{"200":"740a3190-6d35-4d17-b8c0-8d20399989a5","400":"983d1fc1-a7c0-474f-ad88-56164aa4ba8a","401":"97963102-aebf-48e7-b993-b1154b53ca38","403":"4e0adac7-263d-473d-a4f8-657063af5a47","404":"ff6a169f-67e5-460e-9c12-eb2305e4eaaf","409":"86f7c63a-7f3f-4e5e-9991-ab719e26adc0","422":"7a3b6267-b712-4523-b8ba-fec91e7fde02","429":"ab91d618-172c-431f-bcc3-e23bcf5900ca","500":"7e6dcdfa-eb5e-4342-9d27-5f10012b5227","503":"8b335f9e-d3e8-400f-ac62-db015063864a"},"method":"patch","type":"path","servers":["fe19c3b8-6b7d-41af-b676-53250d3345e8"],"path":"/v1/companies/{companyId}","baseUrlOptions":["https://api.folk.app"],"title":"Update a company","codeSamples":[],"requestExampleLanguages":["bash","javascript","python","ruby","go","php"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"f4387ee9-9b85-4e52-af5f-97e0ebb90cb4":{"schema":{"type":"string","minLength":40,"maxLength":40,"isRequired":true,"description":"The ID of the company to update.","uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the company to update.","name":"companyId","in":"path"},"a3573cac-6354-47b8-b12f-70c22fac4075":{"schema":{"type":"string","maxLength":255,"description":"A unique key, such as a UUID, that makes retrying this request safe: a retry with the same key and body returns the original response without running the operation again. Keys are kept for 24 hours after the request completes.","example":"8e03978e-40d5-43e8-bc93-6894a57f9324","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false,"name":"Idempotency-Key","in":"header"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","maxLength":1000,"description":"The name of the company.","example":"Tech Corp","uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","maxLength":5000,"description":"A short description of the company.","example":"A brief description of the company.","uniqueKey":"description","typeLabel":"string"},"fundingRaised":{"oneOf":[{"type":"number","description":"The amount of funding raised by the company in USD, as a number.","example":100000,"uniqueKey":"fundingRaised.oneOf.0","typeLabel":"number"},{"type":"string","description":"The amount of funding raised by the company in USD, as a string.","maxLength":20,"minLength":1,"example":"100000","uniqueKey":"fundingRaised.oneOf.1","typeLabel":"string"},{"type":"null","uniqueKey":"fundingRaised.oneOf.2","typeLabel":"null"},{"type":"null","uniqueKey":"fundingRaised.oneOf.3","typeLabel":"null"}],"uniqueKey":"fundingRaised","typeLabel":"number · string · null · null"},"lastFundingDate":{"oneOf":[{"type":"string","minLength":10,"maxLength":10,"format":"date","description":"The date of the last funding round for the company, in YYYY-MM-DD format.","example":"1990-01-01","uniqueKey":"lastFundingDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","minLength":10,"maxLength":10,"format":"date","description":"The date of the last funding round for the company, in YYYY-MM-DD format.","example":"1990-01-01","uniqueKey":"lastFundingDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"lastFundingDate","typeLabel":"string\u003cdate> | null"},"industry":{"oneOf":[{"type":"string","maxLength":1000,"description":"The industry the company operates in.","example":"Technology","uniqueKey":"industry.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":1000,"description":"The industry the company operates in.","example":"Technology","uniqueKey":"industry.oneOf.1","typeLabel":"null"}],"uniqueKey":"industry","typeLabel":"string | null"},"foundationYear":{"oneOf":[{"type":"string","description":"The foundation year of the company, in YYYY format as string.","maxLength":4,"minLength":4,"pattern":"^\\d{4}$","example":"1990","uniqueKey":"foundationYear.oneOf.0","typeLabel":"string"},{"type":"number","description":"The foundation year of the company, in YYYY format as number.","maximum":2100,"minimum":1000,"example":1990,"uniqueKey":"foundationYear.oneOf.1","typeLabel":"number"},{"type":"null","uniqueKey":"foundationYear.oneOf.2","typeLabel":"null"},{"type":"null","uniqueKey":"foundationYear.oneOf.3","typeLabel":"null"}],"uniqueKey":"foundationYear","typeLabel":"string · number · null · null"},"employeeRange":{"oneOf":[{"type":"string","enum":["1-10","11-50","51-200","201-500","501-1000","1001-5000","5001-10000","10000+"],"description":"The employee range of the company.","example":"51-200","uniqueKey":"employeeRange.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["1-10","11-50","51-200","201-500","501-1000","1001-5000","5001-10000","10000+"],"description":"The employee range of the company.","example":"51-200","uniqueKey":"employeeRange.oneOf.1","typeLabel":"null"}],"uniqueKey":"employeeRange","typeLabel":"enum\u003cstring> | null"},"groups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":40,"maxLength":40,"isRequired":true,"uniqueKey":"groups.items.[INDEX].id","typeLabel":"string"}},"required":["id"],"additionalProperties":false,"uniqueKey":"groups.items.[INDEX]","typeLabel":"object"},"maxItems":100,"description":"The groups to add the company to. You must provide group ids.","example":[{"id":"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2"}],"uniqueKey":"groups","typeLabel":"object[]"},"addresses":{"type":"array","items":{"type":"string","maxLength":500,"description":"","example":"","uniqueKey":"addresses.items.[INDEX]","typeLabel":"string"},"maxItems":20,"description":"A list of addresses associated with the company. The first address in the list will be the company's primary address.","example":["123 Main St, Springfield, USA","456 Main St, Springfield, USA"],"uniqueKey":"addresses","typeLabel":"string[]"},"emails":{"type":"array","items":{"type":"string","maxLength":254,"description":"","example":"","uniqueKey":"emails.items.[INDEX]","typeLabel":"string"},"maxItems":20,"description":"A list of email addresses associated with the company. The first email address in the list will be the company's primary email address.","example":["john@example.com","john@techcorp.com"],"uniqueKey":"emails","typeLabel":"string[]"},"phones":{"type":"array","items":{"type":"string","maxLength":30,"description":"","example":"","uniqueKey":"phones.items.[INDEX]","typeLabel":"string"},"maxItems":20,"description":"A list of phone numbers associated with the company. The first phone number in the list will be the company's primary phone number.","example":["+1234567890","+0987654321"],"uniqueKey":"phones","typeLabel":"string[]"},"urls":{"type":"array","items":{"type":"string","maxLength":2048,"description":"","example":"","uniqueKey":"urls.items.[INDEX]","typeLabel":"string"},"maxItems":20,"description":"A list of URLs associated with the company. The first URL in the list will be the company's primary URL.","example":["https://example.com","https://example.com/about"],"uniqueKey":"urls","typeLabel":"string[]"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"oneOf":[{"type":"null","uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.0","typeLabel":"null"},{"type":"string","maxLength":5000,"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.1","typeLabel":"string"},{"type":"number","maximum":1.7976931348623157e+308,"minimum":-1.7976931348623157e+308,"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.2","typeLabel":"number"},{"type":"array","items":{"oneOf":[{"type":"string","maxLength":500,"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"object","required":["id"],"properties":{"id":{"type":"string","minLength":40,"maxLength":40,"isRequired":true,"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].oneOf.1.id","typeLabel":"string"}},"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["email"],"properties":{"email":{"type":"string","maxLength":254,"isRequired":true,"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].oneOf.2.email","typeLabel":"string"}},"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].oneOf.2","typeLabel":"object"}],"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string · object · object"},"maxItems":1000,"uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.3","typeLabel":"string · object · object[]"},{"type":"null","uniqueKey":"customFieldValues.additionalProperties.additionalProperties.oneOf.4","typeLabel":"null"}],"uniqueKey":"customFieldValues.additionalProperties.additionalProperties","typeLabel":"null · string · number · string · object · object[] · null"},"properties":{},"uniqueKey":"customFieldValues.additionalProperties","typeLabel":"object"},"description":"The custom field values associated with the company, grouped by group ids. The format is the following:\n```json\n{\n \"\u003cgroupId>\": {\n \"\u003ccustomFieldName>\": \"\u003ccustomFieldValue>\"\n }\n}\n```\n\nThe group ids passed must also be provided in the `groups` field, otherwise a validation error will be thrown.\n\nThe format of the custom field value depends on the type of the custom field:\n\n- `textField`: string, eg: `\"Foo\"`\n- `numericField`: number or numeric string, eg: `42` or `\"42\"`\n- `dateField`: ISO 8601 string (YYYY-MM-DD), eg: `\"2021-01-01\"`\n- `singleSelect`: string (option label), eg: `\"Active\"`. Use the exact option labels of the custom field (case-sensitive): an unknown label creates a new option.\n- `multipleSelect`: array of strings (option labels), eg: `[\"B2B\", \"B2C\"]`. Use the exact option labels of the custom field (case-sensitive): an unknown label creates a new option.\n- `contactField`: array of objects with `id` property, eg: `[{\"id\": \"per_20228901-ce2b-418c-a267-671823107d8c\"}]`\n- `userField`: array of objects with either `id` (workspace user id) or `email` (workspace user email) property, eg: `[{\"id\": \"usr_a23373bb-5296-4c59-b2e8-8f121707d562\"}, {\"email\": \"jane@example.com\"}]`\n- `objectField`: array of objects with `id` property, eg: `[{\"id\": \"obj_2f62707c-52c0-421a-a11f-68e1ce9610f4\"}]`\n\nPassing a `null` value or an empty array will unset the custom field value.\n","properties":{},"example":{"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2":{"Status":"Active","Business type":["B2B","B2C"],"Join date":"2021-01-01","Relationships":[{"id":"per_ed110a47-5d09-43bf-b2e2-791d8231eb5f"},{"id":"com_9a03f575-8a85-40b0-ba2e-16d8e29e3b03"}]},"grp_acdf2ad9-6a66-4d32-8594-9694913ac717":{"Custom Notes":"Important client, handle with care.","ARR":42000000,"Assignee":[{"id":"usr_c3606e3b-0a92-4849-90e5-88a8d3f388d6"},{"email":"jane@example.com"}]}},"uniqueKey":"customFieldValues","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"Tech Corp","description":"A brief description of the company.","fundingRaised":100000,"lastFundingDate":"1990-01-01","industry":"Technology","foundationYear":"1990","employeeRange":"51-200","groups":[{"id":"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2"}],"addresses":["123 Main St, Springfield, USA","456 Main St, Springfield, USA"],"emails":["john@example.com","john@techcorp.com"],"phones":["+1234567890","+0987654321"],"urls":["https://example.com","https://example.com/about"],"customFieldValues":{"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2":{"Status":"Active","Business type":["B2B","B2C"],"Join date":"2021-01-01","Relationships":[{"id":"per_ed110a47-5d09-43bf-b2e2-791d8231eb5f"},{"id":"com_9a03f575-8a85-40b0-ba2e-16d8e29e3b03"}]},"grp_acdf2ad9-6a66-4d32-8594-9694913ac717":{"Custom Notes":"Important client, handle with care.","ARR":42000000,"Assignee":[{"id":"usr_c3606e3b-0a92-4849-90e5-88a8d3f388d6"},{"email":"jane@example.com"}]}}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"740a3190-6d35-4d17-b8c0-8d20399989a5":{"description":"The updated company in the workspace.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the company.","example":"Tech Corp","isRequired":true,"uniqueKey":"data.name","typeLabel":"string"},"description":{"type":"string","description":"A short description of the company.","example":"A brief description of the company.","isRequired":true,"uniqueKey":"data.description","typeLabel":"string"},"fundingRaised":{"oneOf":[{"type":"string","description":"The amount in USD of funding raised by the company.","example":"5000000","isRequired":true,"uniqueKey":"data.fundingRaised.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount in USD of funding raised by the company.","example":"5000000","isRequired":true,"uniqueKey":"data.fundingRaised.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.fundingRaised","typeLabel":"string | null"},"lastFundingDate":{"oneOf":[{"type":"string","minLength":10,"maxLength":10,"format":"date","description":"The date of the last funding round for the company, in YYYY-MM-DD format.","example":"1990-01-01","isRequired":true,"uniqueKey":"data.lastFundingDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","minLength":10,"maxLength":10,"format":"date","description":"The date of the last funding round for the company, in YYYY-MM-DD format.","example":"1990-01-01","isRequired":true,"uniqueKey":"data.lastFundingDate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.lastFundingDate","typeLabel":"string\u003cdate> | null"},"industry":{"oneOf":[{"type":"string","description":"The industry the company operates in.","example":"Technology","isRequired":true,"uniqueKey":"data.industry.oneOf.0","typeLabel":"string"},{"type":"null","description":"The industry the company operates in.","example":"Technology","isRequired":true,"uniqueKey":"data.industry.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.industry","typeLabel":"string | null"},"foundationYear":{"oneOf":[{"type":"string","description":"The foundation year of the company, in YYYY format.","example":"1990","isRequired":true,"uniqueKey":"data.foundationYear.oneOf.0","typeLabel":"string"},{"type":"null","description":"The foundation year of the company, in YYYY format.","example":"1990","isRequired":true,"uniqueKey":"data.foundationYear.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.foundationYear","typeLabel":"string | null"},"employeeRange":{"oneOf":[{"type":"string","description":"The employee range of the company. Possible values are: \"1-10\", \"11-50\", \"51-200\", \"201-500\", \"501-1000\", \"1001-5000\", \"5001-10000\", \"10000+\".","example":"51-200","isRequired":true,"uniqueKey":"data.employeeRange.oneOf.0","typeLabel":"string"},{"type":"null","description":"The employee range of the company. Possible values are: \"1-10\", \"11-50\", \"51-200\", \"201-500\", \"501-1000\", \"1001-5000\", \"5001-10000\", \"10000+\".","example":"51-200","isRequired":true,"uniqueKey":"data.employeeRange.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.employeeRange","typeLabel":"string | null"},"groups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.groups.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"data.groups.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"uniqueKey":"data.groups.items.[INDEX]","typeLabel":"object"},"description":"The groups associated with the company.","example":[{"id":"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2","name":"Engineering"}],"isRequired":true,"uniqueKey":"data.groups","typeLabel":"object[]"},"addresses":{"type":"array","items":{"type":"string","description":"An address associated with the company. The first address in the list is the company's primary address.","example":"123 Main St, Springfield, USA","uniqueKey":"data.addresses.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.addresses","typeLabel":"string[]"},"emails":{"type":"array","items":{"type":"string","description":"An email address associated with the company. The first email address in the list is the company's primary email address.","example":"john@example.com","uniqueKey":"data.emails.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.emails","typeLabel":"string[]"},"phones":{"type":"array","items":{"type":"string","description":"A phone number associated with the company. The first phone number in the list is the company's primary phone number.","example":"+1234567890","uniqueKey":"data.phones.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.phones","typeLabel":"string[]"},"urls":{"type":"array","items":{"type":"string","description":"A URL associated with the company. The first URL in the list is the company's primary URL.","example":"https://example.com","uniqueKey":"data.urls.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.urls","typeLabel":"string[]"},"createdAt":{"oneOf":[{"type":"string","minLength":20,"maxLength":40,"description":"The date and time the company was created, in ISO format.","example":"2021-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.createdAt.oneOf.0","typeLabel":"string"},{"type":"null","minLength":20,"maxLength":40,"description":"The date and time the company was created, in ISO format.","example":"2021-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.createdAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.createdAt","typeLabel":"string | null"},"createdBy":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.createdBy.id","typeLabel":"string"},"fullName":{"type":"string","isRequired":true,"uniqueKey":"data.createdBy.fullName","typeLabel":"string"},"email":{"type":"string","isRequired":true,"uniqueKey":"data.createdBy.email","typeLabel":"string"}},"required":["id","fullName","email"],"description":"A user in the workspace.","example":{"id":"usr_bc984b3f-0386-434d-82d7-a91eb6badd71","fullName":"John Doe","email":"john.doe@example.com"},"isRequired":true,"uniqueKey":"data.createdBy","typeLabel":"object"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"oneOf":[{"type":"null","uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.0","typeLabel":"null"},{"type":"string","description":"A custom field value as a string.","example":"Value 1","uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.1","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.2.items.[INDEX]","typeLabel":"string"},"description":"An array of values for the custom field.","example":["Value 1","Value 2"],"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.2","typeLabel":"string[]"},{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].id","typeLabel":"string"},"fullName":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].fullName","typeLabel":"string"},"email":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX].email","typeLabel":"string"}},"required":["id","fullName","email"],"description":"A user in the workspace.","example":{"id":"usr_bc984b3f-0386-434d-82d7-a91eb6badd71","fullName":"John Doe","email":"john.doe@example.com"},"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"object"},"description":"An array of users associated with the custom field.","example":[{"id":"usr_44b85098-441b-4d7f-9d72-c079b1caec45","fullName":"Jane Doe","email":"jane@example.com"},{"id":"usr_a95a1b90-8e88-4855-bc29-d47b8e2704e1","fullName":"John Doe","email":"john@example.com"}],"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.3","typeLabel":"object[]"},{"type":"array","items":{"oneOf":[{"type":"object","required":["id","fullName","entityType"],"properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.0.id","typeLabel":"string"},"fullName":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.0.fullName","typeLabel":"string"},"entityType":{"type":"string","enum":["person"],"isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.0.entityType","typeLabel":"enum\u003cstring>"}},"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["id","fullName","entityType"],"properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.1.id","typeLabel":"string"},"fullName":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.1.fullName","typeLabel":"string"},"entityType":{"type":"string","enum":["company"],"isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.1.entityType","typeLabel":"enum\u003cstring>"}},"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["id","fullName","entityType"],"properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.2.id","typeLabel":"string"},"fullName":{"type":"string","isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.2.fullName","typeLabel":"string"},"entityType":{"type":"string","enum":["object"],"isRequired":true,"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.2.entityType","typeLabel":"enum\u003cstring>"}},"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX].oneOf.2","typeLabel":"object"}],"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4.items.[INDEX]","typeLabel":"object"},"description":"An array of relationships associated with the custom field.","example":[{"id":"per_183ed5cc-3182-45de-84d1-d520f2604810","fullName":"John Doe","entityType":"person"},{"id":"com_92346499-30bf-4278-ae8e-4aa3ae2ace2c","fullName":"Tech Corp","entityType":"company"}],"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.4","typeLabel":"object[]"},{"type":"null","uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties.oneOf.5","typeLabel":"null"}],"uniqueKey":"data.customFieldValues.additionalProperties.additionalProperties","typeLabel":"null · string · string[] · object[] · object[] · null"},"uniqueKey":"data.customFieldValues.additionalProperties","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.customFieldValues","typeLabel":"object"}},"required":["id","name","description","fundingRaised","lastFundingDate","industry","foundationYear","employeeRange","groups","addresses","emails","phones","urls","createdAt","createdBy","customFieldValues"],"description":"A company in the workspace.","example":{"id":"com_183ed5cc-3182-45de-84d1-d520f2604810","name":"Tech Corp","description":"A leading technology company.","fundingRaised":"5000000","lastFundingDate":"1990-01-01","industry":"Technology","foundationYear":"1990","employeeRange":"51-200","groups":[{"id":"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2","name":"Engineering"}],"addresses":["123 Main St, Springfield, USA","456 Main St, Springfield, USA"],"emails":["john@example.com","john@techcorp.com"],"phones":["+1234567890","+0987654321"],"urls":["https://example.com"],"createdAt":"2021-01-01T00:00:00.000Z","createdBy":{"id":"usr_bc984b3f-0386-434d-82d7-a91eb6badd71","fullName":"John Doe","email":"john.doe@example.com"},"customFieldValues":{"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2":{"Status":"Active","Business type":["B2B","B2C"],"Join date":"2021-01-01","Relationships":[{"id":"per_ed110a47-5d09-43bf-b2e2-791d8231eb5f","fullName":"Bob Smith","entityType":"person"},{"id":"com_9a03f575-8a85-40b0-ba2e-16d8e29e3b03","fullName":"HR services","entityType":"company"}]},"grp_acdf2ad9-6a66-4d32-8594-9694913ac717":{"Custom Notes":"Important client, handle with care.","ARR":"42000000","Assignee":[{"id":"usr_c3606e3b-0a92-4849-90e5-88a8d3f388d6","fullName":"Jane Doe","email":"jane@example.com"}]}}},"isRequired":true,"uniqueKey":"data","typeLabel":"object"},"deprecations":{"type":"array","items":{"type":"string","uniqueKey":"deprecations.items.[INDEX]","typeLabel":"string"},"example":["This field is deprecated"],"uniqueKey":"deprecations","typeLabel":"string[]"}},"required":["data"],"uniqueKey":"","typeLabel":"object"},"example":{"data":{"id":"com_183ed5cc-3182-45de-84d1-d520f2604810","name":"Tech Corp","description":"A leading technology company.","fundingRaised":"5000000","lastFundingDate":"1990-01-01","industry":"Technology","foundationYear":"1990","employeeRange":"51-200","groups":[{"id":"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2","name":"Engineering"}],"addresses":["123 Main St, Springfield, USA","456 Main St, Springfield, USA"],"emails":["john@example.com","john@techcorp.com"],"phones":["+1234567890","+0987654321"],"urls":["https://example.com"],"createdAt":"2021-01-01T00:00:00.000Z","createdBy":{"id":"usr_bc984b3f-0386-434d-82d7-a91eb6badd71","fullName":"John Doe","email":"john.doe@example.com"},"customFieldValues":{"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2":{"Status":"Active","Business type":["B2B","B2C"],"Join date":"2021-01-01","Relationships":[{"id":"per_ed110a47-5d09-43bf-b2e2-791d8231eb5f","fullName":"Bob Smith","entityType":"person"},{"id":"com_9a03f575-8a85-40b0-ba2e-16d8e29e3b03","fullName":"HR services","entityType":"company"}]},"grp_acdf2ad9-6a66-4d32-8594-9694913ac717":{"Custom Notes":"Important client, handle with care.","ARR":"42000000","Assignee":[{"id":"usr_c3606e3b-0a92-4849-90e5-88a8d3f388d6","fullName":"Jane Doe","email":"jane@example.com"}]}}}},"examples":{"Example":{"title":"Example","value":{"data":{"id":"com_183ed5cc-3182-45de-84d1-d520f2604810","name":"Tech Corp","description":"A leading technology company.","fundingRaised":"5000000","lastFundingDate":"1990-01-01","industry":"Technology","foundationYear":"1990","employeeRange":"51-200","groups":[{"id":"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2","name":"Engineering"}],"addresses":["123 Main St, Springfield, USA","456 Main St, Springfield, USA"],"emails":["john@example.com","john@techcorp.com"],"phones":["+1234567890","+0987654321"],"urls":["https://example.com"],"createdAt":"2021-01-01T00:00:00.000Z","createdBy":{"id":"usr_bc984b3f-0386-434d-82d7-a91eb6badd71","fullName":"John Doe","email":"john.doe@example.com"},"customFieldValues":{"grp_5fa60242-0756-4e31-8cca-30c2c5ff1ac2":{"Status":"Active","Business type":["B2B","B2C"],"Join date":"2021-01-01","Relationships":[{"id":"per_ed110a47-5d09-43bf-b2e2-791d8231eb5f","fullName":"Bob Smith","entityType":"person"},{"id":"com_9a03f575-8a85-40b0-ba2e-16d8e29e3b03","fullName":"HR services","entityType":"company"}]},"grp_acdf2ad9-6a66-4d32-8594-9694913ac717":{"Custom Notes":"Important client, handle with care.","ARR":"42000000","Assignee":[{"id":"usr_c3606e3b-0a92-4849-90e5-88a8d3f388d6","fullName":"Jane Doe","email":"jane@example.com"}]}}}}}},"exampleType":"examples"}},"exampleType":"examples"},"983d1fc1-a7c0-474f-ad88-56164aa4ba8a":{"description":"The request was unacceptable, often due to missing an invalid parameter.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"INVALID_REQUEST","message":"The request was invalid.","documentationUrl":"https://developer.folk.app/api-reference/errors#bad-request","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"INVALID_REQUEST","message":"The request was invalid.","documentationUrl":"https://developer.folk.app/api-reference/errors#bad-request","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"97963102-aebf-48e7-b993-b1154b53ca38":{"description":"No valid API key provided.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"UNAUTHORIZED","message":"No valid API key provided.","documentationUrl":"https://developer.folk.app/api-reference/errors#unauthorized","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"UNAUTHORIZED","message":"No valid API key provided.","documentationUrl":"https://developer.folk.app/api-reference/errors#unauthorized","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"4e0adac7-263d-473d-a4f8-657063af5a47":{"description":"The API key doesn’t have permissions to perform the request.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"FORBIDDEN","message":"The API key doesn’t have permissions to perform the request.","documentationUrl":"https://developer.folk.app/api-reference/errors#forbidden","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"FORBIDDEN","message":"The API key doesn’t have permissions to perform the request.","documentationUrl":"https://developer.folk.app/api-reference/errors#forbidden","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"ff6a169f-67e5-460e-9c12-eb2305e4eaaf":{"description":"The requested resource doesn’t exist.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"RESOURCE_NOT_FOUND","message":"The requested resource was not found.","documentationUrl":"https://developer.folk.app/api-reference/errors#not-found","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"RESOURCE_NOT_FOUND","message":"The requested resource was not found.","documentationUrl":"https://developer.folk.app/api-reference/errors#not-found","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"86f7c63a-7f3f-4e5e-9991-ab719e26adc0":{"description":"A request with the same `Idempotency-Key` is still being processed, or the resource is in a state that does not allow the operation.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":5},"description":"When the conflict resolves on its own, the number of seconds to wait before retrying."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"IDEMPOTENCY_REQUEST_IN_PROGRESS","message":"A request with the same Idempotency-Key is still being processed. Retry once it has completed.","documentationUrl":"https://developer.folk.app/api-reference/idempotency#errors","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"IDEMPOTENCY_REQUEST_IN_PROGRESS","message":"A request with the same Idempotency-Key is still being processed. Retry once it has completed.","documentationUrl":"https://developer.folk.app/api-reference/idempotency#errors","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"7a3b6267-b712-4523-b8ba-fec91e7fde02":{"description":"The request was unacceptable, often due to missing or invalid parameters.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"UNPROCESSABLE_ENTITY","message":"Invalid query parameters","documentationUrl":"https://developer.folk.app/api-reference/errors#unprocessable-entity","details":{"issues":[{"code":"too_small","minimum":1,"type":"number","inclusive":true,"exact":false,"message":"Number must be greater than or equal to 1","path":["limit"]}]},"requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"UNPROCESSABLE_ENTITY","message":"Invalid query parameters","documentationUrl":"https://developer.folk.app/api-reference/errors#unprocessable-entity","details":{"issues":[{"code":"too_small","minimum":1,"type":"number","inclusive":true,"exact":false,"message":"Number must be greater than or equal to 1","path":["limit"]}]},"requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"ab91d618-172c-431f-bcc3-e23bcf5900ca":{"description":"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer","example":1000},"description":"The maximum number of requests that you can make in the current rate limit window."},"X-RateLimit-Remaining":{"schema":{"type":"integer","example":998},"description":"The number of requests remaining in the current rate limit window."},"X-RateLimit-Reset":{"schema":{"type":"integer","example":1747322958},"description":"The time at which the current rate limit window resets, in UTC epoch seconds."},"X-RateLimit-Limit-Burst":{"schema":{"type":"integer","example":20},"description":"The maximum number of requests that you can make in the current burst rate limit window."},"X-RateLimit-Remaining-Burst":{"schema":{"type":"integer","example":18},"description":"The number of requests remaining in the current burst rate limit window."},"X-RateLimit-Reset-Burst":{"schema":{"type":"integer","example":1747322902},"description":"The time at which the current burst rate limit window resets, in UTC epoch seconds."},"RateLimit-Policy":{"schema":{"type":"string","example":"\"default\";q=600;w=60, \"burst\";q=20;w=2"},"description":"The rate limit policies applied to the request, as defined by the IETF RateLimit header fields draft. `q` is the number of requests allowed per window and `w` the window length in seconds."},"RateLimit":{"schema":{"type":"string","example":"\"default\";r=598;t=42, \"burst\";r=18;t=1"},"description":"The current usage of each rate limit policy, as defined by the IETF RateLimit header fields draft. `r` is the number of requests remaining and `t` the number of seconds until the window resets."},"Retry-After":{"schema":{"type":"integer","example":60},"description":"The number of seconds to wait before making a new request after hitting the rate limit."}},"content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","properties":{"policy":{"type":"string","enum":["default","burst"],"description":"The name of the rate limit policy.","isRequired":true,"uniqueKey":"error.details.policy","typeLabel":"enum\u003cstring>"},"limit":{"type":"integer","description":"The maximum number of requests allowed per window.","isRequired":true,"uniqueKey":"error.details.limit","typeLabel":"integer"},"remaining":{"type":"integer","description":"The number of requests remaining in the current window.","isRequired":true,"uniqueKey":"error.details.remaining","typeLabel":"integer"},"windowSeconds":{"type":"integer","description":"The length of the window, in seconds.","isRequired":true,"uniqueKey":"error.details.windowSeconds","typeLabel":"integer"},"retryAfter":{"type":"string","format":"date-time","description":"When the current window resets.","isRequired":true,"uniqueKey":"error.details.retryAfter","typeLabel":"string\u003cdate-time>"},"policies":{"type":"array","items":{"type":"object","properties":{"policy":{"type":"string","enum":["default","burst"],"description":"The name of the rate limit policy.","isRequired":true,"uniqueKey":"error.details.policies.items.[INDEX].policy","typeLabel":"enum\u003cstring>"},"limit":{"type":"integer","description":"The maximum number of requests allowed per window.","isRequired":true,"uniqueKey":"error.details.policies.items.[INDEX].limit","typeLabel":"integer"},"remaining":{"type":"integer","description":"The number of requests remaining in the current window.","isRequired":true,"uniqueKey":"error.details.policies.items.[INDEX].remaining","typeLabel":"integer"},"windowSeconds":{"type":"integer","description":"The length of the window, in seconds.","isRequired":true,"uniqueKey":"error.details.policies.items.[INDEX].windowSeconds","typeLabel":"integer"},"retryAfter":{"type":"string","format":"date-time","description":"When the current window resets.","isRequired":true,"uniqueKey":"error.details.policies.items.[INDEX].retryAfter","typeLabel":"string\u003cdate-time>"}},"required":["policy","limit","remaining","windowSeconds","retryAfter"],"uniqueKey":"error.details.policies.items.[INDEX]","typeLabel":"object"},"description":"The status of every rate limit policy applied to the request.","isRequired":true,"uniqueKey":"error.details.policies","typeLabel":"object[]"}},"required":["policy","limit","remaining","windowSeconds","retryAfter","policies"],"description":"The exceeded rate limit policy. When several are exceeded, the one resetting last.","isRequired":true,"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp","details"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response returned when a rate limit is exceeded.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"TOO_MANY_REQUESTS","message":"You have exceeded your rate limit.","documentationUrl":"https://developer.folk.app/api-reference/errors#rate-limiting","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z","details":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z","policies":[{"policy":"default","limit":600,"remaining":412,"windowSeconds":60,"retryAfter":"2025-10-01T12:01:00.000Z"},{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"}]}}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"TOO_MANY_REQUESTS","message":"You have exceeded your rate limit.","documentationUrl":"https://developer.folk.app/api-reference/errors#rate-limiting","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z","details":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z","policies":[{"policy":"default","limit":600,"remaining":412,"windowSeconds":60,"retryAfter":"2025-10-01T12:01:00.000Z"},{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"}]}}}}},"exampleType":"examples"}},"exampleType":"examples"},"7e6dcdfa-eb5e-4342-9d27-5f10012b5227":{"description":"Something went wrong on our end.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"INTERNAL_SERVER_ERROR","message":"An internal server error occurred.","documentationUrl":"https://developer.folk.app/api-reference/errors#internal-server-error","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"INTERNAL_SERVER_ERROR","message":"An internal server error occurred.","documentationUrl":"https://developer.folk.app/api-reference/errors#internal-server-error","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"8b335f9e-d3e8-400f-ac62-db015063864a":{"description":"The server is overloaded or down for maintenance.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","example":"TOO_MANY_REQUESTS","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","example":"You have exceeded your rate limit.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"documentationUrl":{"type":"string","format":"uri","example":"https://developer.folk.app/api-reference/errors#rate-limiting","isRequired":true,"uniqueKey":"error.documentationUrl","typeLabel":"string\u003curi>"},"requestId":{"type":"string","format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"string","format":"date-time","example":"2025-10-01T12:00:00Z","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string\u003cdate-time>"},"details":{"type":"object","additionalProperties":true,"example":{"policy":"burst","limit":20,"remaining":0,"windowSeconds":2,"retryAfter":"2025-10-01T12:00:02.000Z"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["code","message","documentationUrl","requestId","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"description":"Error response containing error details.","uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"SERVICE_UNAVAILABLE","message":"The service is currently unavailable.","documentationUrl":"https://developer.folk.app/api-reference/errors#service-unavailable","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":"SERVICE_UNAVAILABLE","message":"The service is currently unavailable.","documentationUrl":"https://developer.folk.app/api-reference/errors#service-unavailable","requestId":"123e4567-e89b-12d3-a456-426614174000","timestamp":"2025-10-01T12:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"4356fb9d-f413-4a61-961d-4eef5809cc1f":{"bearerApiKeyAuth":{"type":"http","scheme":"bearer","description":"API key for authentication","scopes":[],"schemeName":"bearerApiKeyAuth"}}},"servers":{"fe19c3b8-6b7d-41af-b676-53250d3345e8":{"url":"https://api.folk.app","description":"Folk's public API production base URL.","x-internal":false}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"API key for authentication","scopes":[],"schemeName":"bearerApiKeyAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API key for authentication","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerApiKeyAuth","name":"Authorization"}],"title":"bearerApiKeyAuth"}]},"originalFileLocation":"schemas/2025-06-09.json"},"subdomain":"folk-cf968f5e","siteName":"Folk Developer Portal","title":"Update a company - Folk Developer Portal","navMaps":{"firstHrefInVersion":{"2025-06-09":{"href":"/api-reference/companies/update-a-company","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T15:06:10.118Z","originalFileLocation":"api-reference/companies/update-a-company.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update an existing company in the workspace.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Folk Developer Portal\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update a company - Folk Developer Portal\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update an existing company in the workspace.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Folk Developer Portal\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.folk.app/api-reference/companies/update-a-company\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://folk-cf968f5e.mintlify.site/_mintlify/api/og/v2?division=Companies\u0026amp;title=Update+a+company\u0026amp;description=Update+an+existing+company+in+the+workspace.\u0026amp;theme=85df8d899a1a67ad96f0c424\u0026amp;signature=3cf561416798a8efc662f1ca8c0f9752a12509b49a3e5076bac264c1a28ee397\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update a company - Folk Developer Portal\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update an existing company in the workspace.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://folk-cf968f5e.mintlify.site/_mintlify/api/og/v2?division=Companies\u0026amp;title=Update+a+company\u0026amp;description=Update+an+existing+company+in+the+workspace.\u0026amp;theme=85df8d899a1a67ad96f0c424\u0026amp;signature=3cf561416798a8efc662f1ca8c0f9752a12509b49a3e5076bac264c1a28ee397\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/folk-cf968f5e/2qJ3PKRZLvFhl3LP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Folk Developer Portal\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.folk.app/api-reference/companies/update-a-company\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/companies/update-a-company.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.folk.app/#organization\",\"name\":\"Folk Developer Portal\",\"url\":\"https://developer.folk.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/folk-cf968f5e/I7wFhRmtMuOvy2tG/assets/logo-light.svg?fit=max\u0026auto=format\u0026n=I7wFhRmtMuOvy2tG\u0026q=85\u0026s=08eda1dcbb1eefceac8ca5fea9c103d8\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.folk.app#website\",\"name\":\"Folk Developer Portal\",\"url\":\"https://developer.folk.app\",\"publisher\":{\"@id\":\"https://developer.folk.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.folk.app/api-reference/companies/update-a-company#webpage\",\"url\":\"https://developer.folk.app/api-reference/companies/update-a-company\",\"name\":\"Update a company\",\"description\":\"Update an existing company in the workspace.\",\"dateModified\":\"2026-11-05T15:06:10.118Z\",\"isPartOf\":{\"@id\":\"https://developer.folk.app#website\"},\"breadcrumb\":{\"@id\":\"https://developer.folk.app/api-reference/companies/update-a-company#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.folk.app/api-reference/companies/update-a-company#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Available endpoints\",\"item\":\"https://developer.folk.app/api-reference/people/list-people\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Companies\",\"item\":\"https://developer.folk.app/api-reference/companies/list-companies\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update a company\",\"item\":\"https://developer.folk.app/api-reference/companies/update-a-company\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.folk.app/api-reference/companies/update-a-company#apireference\",\"headline\":\"Update a company\",\"name\":\"Update a company\",\"description\":\"Update an existing company in the workspace.\",\"url\":\"https://developer.folk.app/api-reference/companies/update-a-company\",\"mainEntityOfPage\":{\"@id\":\"https://developer.folk.app/api-reference/companies/update-a-company#webpage\"},\"dateModified\":\"2026-11-05T15:06:10.118Z\",\"publisher\":{\"@id\":\"https://developer.folk.app/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.folk.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Folk Developer Portal\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Folk Developer Portal","nav":{"global":null,"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":""}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/quick-start"}]},{"tab":"API Reference","versions":[{"version":"2025-06-09","default":true,"groups":[{"group":"Introduction","pages":[{"title":null,"href":"/api-reference/overview"},{"title":null,"href":"/api-reference/authentication"},{"title":null,"href":"/api-reference/success-responses"},{"title":null,"href":"/api-reference/errors"},{"title":null,"href":"/api-reference/pagination"},{"title":null,"href":"/api-reference/filtering"},{"title":"Idempotency","href":"/api-reference/idempotency"},{"title":"Batch requests","href":"/api-reference/batch-requests"},{"title":null,"href":"/api-reference/rate-limits"},{"title":"Request ID","href":"/api-reference/request-id"},{"title":null,"href":"/api-reference/versioning"}]},{"group":"Available endpoints","pages":[{"group":"People","pages":[{"title":"List people","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json get /v1/people","href":"/api-reference/people/list-people"},{"openapi":"post /v1/people","title":"Create a person","href":"/api-reference/people/create-a-person"},{"title":"Get a person","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json get /v1/people/{personId}","href":"/api-reference/people/get-a-person"},{"openapi":"patch /v1/people/{personId}","title":"Update a person","href":"/api-reference/people/update-a-person"},{"openapi":"delete /v1/people/{personId}","title":"Delete a person","href":"/api-reference/people/delete-a-person"},{"openapi":"post /v1/people/batch/create","title":"Create people in batch","href":"/api-reference/people/create-people-in-batch"},{"openapi":"post /v1/people/batch/update","title":"Update people in batch","href":"/api-reference/people/update-people-in-batch"},{"openapi":"post /v1/people/batch/delete","title":"Delete people in batch","href":"/api-reference/people/delete-people-in-batch"}]},{"group":"Companies","pages":[{"title":"List companies","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json get /v1/companies","href":"/api-reference/companies/list-companies"},{"openapi":"post /v1/companies","title":"Create a company","href":"/api-reference/companies/create-a-company"},{"title":"Get a company","description":"Retrieve an existing company in the workspace.","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json get /v1/companies/{companyId}","href":"/api-reference/companies/get-a-company"},{"openapi":"patch /v1/companies/{companyId}","title":"Update a company","href":"/api-reference/companies/update-a-company"},{"openapi":"delete /v1/companies/{companyId}","title":"Delete a company","description":"Delete an existing company in the workspace.","href":"/api-reference/companies/delete-a-company"},{"openapi":"post /v1/companies/batch/create","title":"Create companies in batch","href":"/api-reference/companies/create-companies-in-batch"},{"openapi":"post /v1/companies/batch/update","title":"Update companies in batch","href":"/api-reference/companies/update-companies-in-batch"},{"openapi":"post /v1/companies/batch/delete","title":"Delete companies in batch","href":"/api-reference/companies/delete-companies-in-batch"}]},{"group":"Credits","pages":[{"title":"Get credits","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json get /v1/credits","href":"/api-reference/credits/get-credits"}]},{"group":"Group members","pages":[{"title":"List group members","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json get /v1/groups/{groupId}/members","href":"/api-reference/group-members/list-group-members"},{"title":"Add a group member","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json post /v1/groups/{groupId}/members","href":"/api-reference/group-members/add-a-group-member"},{"title":"Update a group member","deprecated":null,"version":null,"openapi":"/schemas/2025-06-09.json patch /v1/groups/{groupId}/members/{userId}","href":"/api-reference/group-members/update-a-group-member"},{"title":"Remove a group member","deprecated":null,"version":null,"openapi":"
[...]
